<?PHP
class language_Model {
	var $call_controller = array('language');
	var $call_helper = array('title', 'pageGenerator');

	function init(){

		$this->language->POST('update_language')->method();
		$this->language->POST('set_view_translator')->method();
		$this->language->POST('set_view_manual_translator')->method();
		$this->language->POST('translate')->method();
		$this->language->POST('delete_language')->method();

		$this->language->GET('action=check')->method('check');
		$this->language->GET('activ')->method('set_activ');
		$this->language->GET('action=truncate')->method();
	}

	function language(){

		$this->init();

		$this->language->language_data()->Page('language');
	}

	function menu(){

		$this->language->POST('add_language_menu')->method();
		$this->language->POST('update_language_menu')->method();

		$this->language->GET('action=delete_language_menu')->method();

		$this->language->admin_menu()->Page('menu');
	}

	function public_menu(){

		$this->language->menu()->Page('public_menu');
	}
}
?>